{
  pkgs,
  lib,
  ...
}: let
  alacritty-wrapped = pkgs.writeShellScriptBin "alacritty-wayland" ''
    export WAYLAND_DISPLAY="wayland-1"
    export XDG_CURRENT_DESKTOP="Niri"
    export XDG_SESSION_TYPE="wayland"
    exec ${pkgs.alacritty}/bin/alacritty "$@"
  '';
in {
  users.users.someone.packages = with pkgs; [
    alacritty
    alacritty-wrapped
  ];

  xdg.configFile."alacritty/alacritty.toml".text = ''
    [colors.bright]
    black = "0x928374"
    blue = "0x7daea3"
    cyan = "0x89b482"
    green = "0xa9b665"
    magenta = "0xd3869b"
    red = "0xea6962"
    white = "0xdfbf8e"
    yellow = "0xe3a84e"

    [colors.normal]
    black = "0x665c54"
    blue = "0x7daea3"
    cyan = "0x89b482"
    green = "0xa9b665"
    magenta = "0xd3869b"
    red = "0xea6962"
    white = "0xdfbf8e"
    yellow = "0xe78a4e"

    [colors.primary]
    background = "0x1f0d00"
    foreground = "0xdfbf8e"

    [env]
    EDITOR = "nvim"
    XDG_CURRENT_DESKTOP = "Niri"
    XDG_SESSION_TYPE = "wayland"

    [font]
    size = 13

    [font.normal]
    family = "SauceCodePro Nerd Font"

    [window]
    decorations = "full"
    opacity = 1.0

    [terminal.shell]
    program = "fish"

    [scrolling]
    history = 5000
  '';
}
